Page MenuHomePhabricator

[Story] New datatype for referencing Senses
Closed, InvalidPublic

Description

We want to make statements on Lexemes that reference Senses on other Lexemes.

Example usage: on the Lexeme "hard"/Sense "resisting deofrmation" we'd have a statement "antonym: easy to deform". "easy to deform" would be a sense on the "soft" Lexeme.

For the baseline version we don't need proper entity search. Putting in the ID of the Sense we want to reference is enough.

Task breakdown:

We assume this and T165579: New data type to allow linking to Forms to be almost 100% exact copies including the subtasks listed there.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2017, 10:30 AM
thiemowmde updated the task description. (Show Details)Jul 4 2017, 3:02 PM
WMDE-leszek updated the task description. (Show Details)Jul 4 2017, 3:05 PM
WMDE-leszek updated the task description. (Show Details)Jul 4 2017, 3:08 PM
WMDE-leszek updated the task description. (Show Details)

@Jonas @thiemowmde I've added example properties to the task description (two for each entity type). After doing that I realized that both this ticket and T165579 have actually been already mentioning an example (respectively "Antonym" and "Rhymes with").

Jonas updated the task description. (Show Details)Jul 5 2017, 10:53 AM
Jonas moved this task from Backlog to Proposed on the Wikidata-Former-Sprint-Board board.
thiemowmde added a comment.EditedJul 5 2017, 11:33 AM

@Jonas, can you please link the tickets and restore the text you deleted and that is not in any of the sub-tasks? Never mind, I restored it.

thiemowmde updated the task description. (Show Details)Jul 5 2017, 12:24 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 2:53 PM
Aleksey_WMDE closed this task as Resolved.Jul 25 2017, 2:56 PM
Aleksey_WMDE claimed this task.
Aleksey_WMDE moved this task from Proposed to Done on the Wikidata-Former-Sprint-Board board.
Lydia_Pintscher reopened this task as Open.Oct 24 2017, 3:20 PM

Reopening because the new datatype does not exist.

Lydia_Pintscher removed Aleksey_WMDE as the assignee of this task.Oct 24 2017, 3:20 PM
Lydia_Pintscher moved this task from incoming to big tasks on the Lexicographical data board.

I take it the translation from/to item datatype (Q11L5-F11) mentioned in the task breakdown was just for the prototype, and now no longer applies? Or am I misunderstanding something?

good catch @Lucas_Werkmeister_WMDE. Whatever would be said about the task description, this part is clearly not relevant. Editing.

WMDE-leszek updated the task description. (Show Details)Nov 15 2017, 2:52 PM

Uses labels from items by turning L5-F11 into Q11.
[…] except that it does return a value where the item ID is translated to a form/sense ID (Q11 becomes L5-F11).

These two sentences have been written for an absolute baseline prototype with a suggester for forms and senses that is almost entirely fake. This fake suggester does not search for forms or senses (these are not even indexed in the database), but it searches for items. All it does is displaying an ID that looks like a form or sense ID. Thats why the fake translates Q11 into L5-F11, and the other way around.

I'm not sure the task breakdown does make sense any more if all you did is removing these sentences. You might as well remove it entirely, or create the necessary subtasks for indexing forms and senses in the wb_terms table, the CirrusSearch index, and possibly other secondary tables that are also required to make the described datatype work as expected.

He7d3r added a subscriber: He7d3r.Feb 6 2018, 3:26 PM
Lydia_Pintscher closed this task as Invalid.Jun 3 2018, 7:31 PM